@font-face {
  font-family: 'Strawford';
  font-weight: 400;
  font-style: normal;
  text-rendering: optimizeLegibility;
  src: url('strawford-light-webfont.eot');
  src: url('strawford-light-webfont.eot') format('embedded-opentype'),
    url('strawford-light-webfont.woff') format('woff'),
    url('strawford-light-webfont.ttf') format('truetype');
}

* {
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

html,
body {
  margin: 0;
  padding: 0;
  background: #fff;
  font-family: 'Strawford';
  position: absolute;
  width: 100vw;
  height: 100vh;
  overflow: hidden;
}

a {
  color: inherit;
  text-underline-offset: 5px;
  text-decoration-thickness: 1px;
}

p {
  padding-top: 0;
  margin-top: 0;
  font-size: 24px;
  line-height: 36px;
  max-width: 95%;
  user-select: none;
}

h1 {
  display: inline-block;
  position: relative;
  left: 0;
  padding: 5px 10px;
  font-size: 12px;
  letter-spacing: 1px;
  background: white;
  margin-top: 20px;
  transition: all 0.5s;
  user-select: none;
}

.h {
  opacity: 0;
  animation-duration: 0.2s;
  animation-delay: 0.1s;
  animation-iteration-count: 3;
  animation-fill-mode: forwards;
  animation-timing-function: cubic-bezier(0.55, 0.055, 0.675, 0.19);
  transition: all 1s;
  color: black;
  transform-origin: 50% 50%;
}

@keyframes blink {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}

.first {
  color: white;
}

.first .text {
  position: absolute;
}

.first .bg {
  position: absolute;
  width: 100vw;
  height: 100vh;
  top: 0;
  left: 0;
}

.first .bg div {
  width: 0;
  transition: width 0.2s ease-in-out;
}

.first .bg .fullwidth {
  width: 100vw;
  background: black;
}

.second {
  background: #122c34;
  position: absolute;
  top: 0;
  left: 100%;
  color: white;
  /* transform: translateX(0%); */
  transition: all 1s;
}

.toggleMenu {
  left: 0;
  transform: translateX(0);
}

.p {
  width: calc(100vw - 2em);
  height: calc(100vh - 2em);
  padding: 1em;
}

.menu {
  position: absolute;
  bottom: 32px;
  right: 32px;
  line-height: auto;
  cursor: pointer;
  z-index: 9999999999999999;
  width: 32px;
  height: 30px;
}

.menu div {
  height: 3px;
  width: 100%;
  transition: all 0.5s 0.2s;
  margin-bottom: 10px;
}

.menu div:last-child {
  margin-bottom: 0;
}

.menu.white div {
  background: white;
}

.menu.black div {
  background: black;
}

@media only screen and (min-width: 600px) {
  .p {
    width: calc(100vw - 4em);
    height: calc(100vh - 4em);
    padding: 4em;
  }

  .menu {
    bottom: 4em;
    right: 4em;
  }

  p {
    font-size: 3rem;
    line-height: 3.6rem;
    max-width: 750px;
  }

  a {
    text-underline-offset: 8px;
    text-decoration-thickness: 2px;
    color: inherit;
  }

  .second a {
    text-underline-offset: 6px;
    text-decoration-thickness: 3px;
    color: inherit;
  }

  .menu:hover div {
    animation-name: menuHover;
    animation-duration: 0.6s;
    animation-direction: alternate;
    animation-iteration-count: infinite;
    transform-origin: 50%;
  }

  .menu:hover div:nth-child(1) {
    animation-delay: 0;
  }

  .menu:hover div:nth-child(2) {
    animation-delay: 0.2s;
  }

  .menu:hover div:nth-child(3) {
    animation-delay: 0.4s;
  }

  @keyframes menuHover {
    from {
      transform: scaleX(100%);
    }
    to {
      transform: scaleX(10%);
    }
  }
}
